#### PyKDE - Python Bindings for KDE

# class KFileMimeTypeInfo.ItemInfo |
Table of contents
Modules
kio Classes
All Classes

Module | kio
Class | KFileMimeTypeInfo.ItemInfo
Inherits |

### methods

- ItemInfo ()

  returns a ItemInfo instance

- ItemInfo (key, translatedKey, type)

  returns a ItemInfo instance
  Argument | Type | Default
  --- | --- | ---
  key | QString |
  translatedKey | QString |
  type | QVariant.Type |

- attributes ()

  returns (uint)

- hint ()

  returns (uint)

- isVariableItem ()

  returns (bool)

- key ()

  returns (QString)

- prefix ()

  returns (QString)

- string (value, mangle = 1)

  returns (QString)
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  value | QVariant |
  mangle | bool | 1

- suffix ()

  returns (QString)

- translatedKey ()

  returns (QString)

- type ()

  returns (QVariant.Type)

- unit ()

  returns (uint)